C_CALL_CALLBACKS(3)

FUNCTION
c_call_callbacks - Call all registered callbacks for an object.

SYNOPSIS
#include <karma_c.h>

flag c_call_callbacks

(KCallbackList list, void *call_data)

DESCRIPTION
Call all registered callbacks for an object.

list
    The callback list.

call_data
    The arbitrary call information pointer.

RETURN VALUE
TRUE if one of the callbacks quenched the further delivery of callbacks, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/